> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Set auto earn

POST https://www.okx.com/api/v5/account/set-auto-earn
Content-Type: application/json

Enable or disable automatic earning (auto-subscription to earn products) for idle assets of a given currency.

Reference: https://okx-demo.ferndocs.com/api/api-reference/account/set-auto-earn

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Request

### Body (application/json)

This endpoint expects an object.

- `ccy` (string, required) — Currency, e.g. BTC.
- `action` (enum, required) — Whether to enable or disable auto earn.
  - Allowed values: `turn_on`, `turn_off`
- `earnType` (enum, optional) — Earn type: 0 simple earn flexible, 1 on-chain earn.
  - Allowed values: `0`, `1`

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (list of ApiV5AccountSetAutoEarnPostResponsesContentApplicationJsonSchemaDataItems, optional)

## Types

### ApiV5AccountSetAutoEarnPostResponsesContentApplicationJsonSchemaDataItems

- `ccy` (string, optional) — Currency.
- `action` (string, optional) — Action applied.
- `earnType` (string, optional) — Earn type.

## Examples

**Request**

```json
{
  "ccy": "USDT",
  "action": "turn_on"
}
```

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": [
    {
      "ccy": "BTC",
      "action": "turn_on",
      "earnType": "0",
      "apr": "0.01"
    }
  ]
}
```

**SDK Code**

```python account_setAutoEarn_example
import requests

url = "https://www.okx.com/api/v5/account/set-auto-earn"

payload = {
    "ccy": "USDT",
    "action": "turn_on"
}
headers = {
    "OK-ACCESS-KEY": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript account_setAutoEarn_example
const url = 'https://www.okx.com/api/v5/account/set-auto-earn';
const options = {
  method: 'POST',
  headers: {'OK-ACCESS-KEY': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"ccy":"USDT","action":"turn_on"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go account_setAutoEarn_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/account/set-auto-earn"

	payload := strings.NewReader("{\n  \"ccy\": \"USDT\",\n  \"action\": \"turn_on\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby account_setAutoEarn_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/account/set-auto-earn")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ccy\": \"USDT\",\n  \"action\": \"turn_on\"\n}"

response = http.request(request)
puts response.read_body
```

```java account_setAutoEarn_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://www.okx.com/api/v5/account/set-auto-earn")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ccy\": \"USDT\",\n  \"action\": \"turn_on\"\n}")
  .asString();
```

```php account_setAutoEarn_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://www.okx.com/api/v5/account/set-auto-earn', [
  'body' => '{
  "ccy": "USDT",
  "action": "turn_on"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp account_setAutoEarn_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/account/set-auto-earn");
var request = new RestRequest(Method.POST);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ccy\": \"USDT\",\n  \"action\": \"turn_on\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift account_setAutoEarn_example
import Foundation

let headers = [
  "OK-ACCESS-KEY": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "ccy": "USDT",
  "action": "turn_on"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/account/set-auto-earn")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```